Subject: Re: bug#75355: [PATCH 1/1] Improve comment cycling in log-edit

From: Stefan Kangas <[email-masked]>
Date: Sun, 23 Feb 2025 05:43:56 +0000

Jonas Bernoulli <[email-masked]> writes:

>> - I don't think Log Edit buffers ever contain commented lines or
>>   scissors lines at present.
>
> When you use "git commit" instead of "git commit -m "the message that
> was prepared earlier", then Git inserts useful information into the
> COMMIT_EDITMSG (or similar) file.
>
>>   So I'm not sure why you included that
>>   functionality.  Is it because you want to reuse this function in the
>>   hypothetical simplified git-commit-mode?
>
> Magit has been wrapping these functions for many years.  That's
> perfectly fine for our needs and I am happy to continue to do so.  But
> there was some interest in adding "git-commit.el" or parts thereof to
> Emacs.  I figured this was the easiest and least controversial part to
> integrate, so I started with that.
>
> Even if this is merged as-is, that is not going to make it easier to
> provide this functionality in Magit; it will have to continue to support
> older Emacs releases for many years, so it will have to continue to keep
> the wrapper code, but only for older releases.  That's going to make it
> harder, not easier, for me.
>
> I.e., I suggested this functionality because I though it would be
> considered a clear improvement.  If that is not the case, that is okay
> with me, and Magit will just keep doing what it has been doing.  If you
> want to improve/change the proposed patch, please feel free to do so.
> I hope that if/when you do, I can continue to wrap log-edit's functions
> as I do now, but if I instead have to copy the implementations from an
> older release and then modify that, I'll have to live with that.
>
>> - I think some people might prefer not to have their half-written
>>   comment saved.  What do you think about doing everything in entries in
>>   log-edit-save-comment-hook, so that someone could customise that to
>>   remove the default behaviour, if they wanted?  Or perhaps a simple
>>   boolean defcustom to turn this new behaviour on and off.
>
> So far no Magit user has asked me to add that, but if you want to
> proactively add that in Emacs' implementation, please do.

No further comments within one week.  Does that mean to say that any
remaining concerns have been addressed, and that we can therefore
install this change?  Or is there more to discuss here?